<template>
	<view>
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true">
			<block slot="backText">返回</block>
			<block slot="content">设置</block>
		</cu-custom>
		<view class="cu-list menu">
			<view class="cu-item arrow">
				<navigator class="content" hover-class="none" url="/pages/login/forget/forget-reset" open-type="redirect">
					<text class="text-semi">修改密码</text>
				</navigator>
			</view>
			<view class="cu-item arrow">
				<navigator class="content" hover-class="none" url="/pages/my/face/index" open-type="redirect">
					<text class="text-semi">更新人脸信息</text>
				</navigator>
			</view>
<!-- 			<view class="cu-item">
				<view class="content">
					<text class="text-semi">检查更新</text>
				</view>
			</view> -->
			<view class="cu-item margin-top text-center" @click="unlogin()">
				<view class="content">
					<text class="text-semi">退出当前账户</text>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import {
		basePath,
		setloginUserId,
		setCorpinfoId,
		setloginUser,
		setDeptId,
		setIsRest
	} from '@/common/tool.js';
	export default {
		data() {
			return {

			}
		},
		methods: {
			unlogin(){
				uni.showModal({
					title: '提示',
					cancelText: '确认',
					confirmText: '取消',
					content: '确定退出当前账户？',
					success: function (res) {
						if (res.cancel) {
							setloginUserId(null);
							setCorpinfoId(null);
							setDeptId(null);
							setloginUser(null);
							setIsRest(null);
							uni.removeStorage({key: 'USER'});
							uni.navigateTo({
								url: '/pages/login/home'
							});
						}
					}
				});
			}

		}
	}
</script>

<style>

</style>
